% calibration starting in 2015
clear

% for climate model
c1=0.1005;
fco22x=3.6813;
c3=0.088;

% par: structure to collect parameter values

par.eta1=c1*fco22x/(log(2)*5); % effect of log-M-ratio on Pi; convert into p.a.
par.eta2=c1/5;% effect of Fex on Pi; convert into p.a.
par.eta3=-log(1-0.115/5); % rate of decline (>0) of El  // log(1-0.115/5)
par.xi1=0; %damage intercept
par.xi2=4.4*0.00236;% damage quadratic term; % not to go over 2 degrees, from Nordhaus
par.xi3=2; % damage exponent

par.El0=2.6/3.667;% starter of El
par.M1750=588;% 596.4; % M1 in 1750
par.Fex0=0.5;%-.06; % starter of Fex / or Fex0
par.Fex100=1;%3; % final of Fex / or Fex1

b12=0.12;
b21=b12*588/360;
b32=0.007*360/1720;
BM = [ 1-b12  b21         0
       b12   1-b21-0.007   b32
        0      0.007    1-b32]; % Nordhaus matrix of M-dynamics

        ccc=1-c1*(3.6813/3.1+c3);
CM=[ccc c1*c3;
   .025   1-.025]; % Nordhaus matrix of T-dynamics

par.Gamma=(BM-eye(3))/5;
par.Lambda=(CM-eye(2))/5;

% initial values / solve as log deviation from values
M0=[851 460 1740]';
par.M0=M0;
T0=[.85 .0068]';
par.T0=T0;


% for economic model
beta=.058; % resource share  FROM par.beta=(q0+par.gamma)*R0/Y0 2005
alpha=(1-beta)/3;%.33; % capital share
delta=.05; % rate od depreciation  % depreciation rate BARRO
theta=1.3; % 1/ el of intertemporal subst
rho=.005; % rate of time preference 

g=log(1+0.076/5);% based on Nordhaus

Ys0=105.5;      % based on Nordhaus
S0=3000;        % GtC
R0=1/3.667*35.85; % based on Nordhaus  % GtC p.a.
epsilon=1;

tfinal=1000;


