lambda=g*(1-alpha-beta+beta*theta)+rho*beta; % (1-alpha-beta)*Ehat
ist=rho+theta*g; % steady state interest rate
rst=rho+theta*g; % interest rate

Ks0=Ys0*alpha/(ist+delta); % steady state relation
Cs0=Ys0-(delta+g)*Ks0; % steady state relation

z=zeros(2,1);

par.exc=.25; % extraction cost, dollar per kg
z(2)=par.exc*S0^(epsilon);

% calibrate b (proxy steady state, climate as in t=0)
Omega0=1-(par.xi1*T0(1)+par.xi2*T0(1)^2);
%g=(lambda-beta*rho)/(1-alpha-beta+beta*theta); % rate of growth

d=g-rst; % rate of resource growth (<0)
b=Ys0^(1-alpha)*R0^(-beta)*((rst+delta)/alpha)^alpha/Omega0;

z(1)=b;
Ks0=Ys0*alpha/(rst+delta);
par.Ks0=Ks0;


% steady state ratios
[V,D]=eig(par.Gamma);
Mtotal=S0+sum(M0);
Mshare=V(:,3)/sum(V(:,3));
Mst=Mtotal*Mshare;
Pist=par.eta1*log(Mst(1)/par.M1750)+par.eta2*par.Fex100;
Tst=-par.Lambda\[Pist 0]';
par.Mst=Mst;
par.dM=100*log(Mst./M0);
par.dT=10*(Tst-T0);
par.Tst=Tst;
par.s=(delta+g)*alpha/(delta+rst); % saving rate
par.KdY=alpha/(delta+rst); % capital-output ratio
Omegast=1-(par.xi1*Tst(1)+par.xi2*Tst(1)^2); 
par.RdY=(b*Omegast*par.KdY^alpha)^(-1/beta);
par.YTdY=-(par.xi1+2*par.xi2*Tst(1)); 

par.PiM=par.eta1/Mst(1);

% shadow prices (proxy steady state, climate as in t=inf,
%   GDP as in t=0)
PKst=((1-par.s)*Ys0)^(-theta);
YT1=par.YTdY*Ys0;
PiM1=par.eta1/Mst(1);
PTst=-(par.Lambda'+d*eye(2))\[PKst*YT1 0]';
PMst=-(par.Gamma'+d*eye(3))\[PTst(1)*PiM1 0 0]';
pst=beta*Ys0/R0;
par.PTst=PTst;
par.PMst=PMst;
par.pst=pst;

par.rst=rst;par.ist=rst;
par.Ks0=Ks0;
par.Cs0=Cs0;
par.R0=R0;
par.Ys0=Ys0;
par.S0=S0;
par.epsilon=epsilon;
par.alpha=alpha;
par.beta=beta;
par.lambda=lambda;
par.theta=theta;
par.rho=rho;
par.delta=delta;
par.ist=ist;
par.g=g;
par.zz=z;

% for model with backstop-technology
Ehat=lambda/(1-alpha-beta); 
par.Ehat=Ehat;

