function res = evaluation2017(Sol,z,par,time)

X=deval(Sol,time);

tax=zeros(size(time));
for i=1:length(tax)
if time(i)>=par.taxtime
    tax(i)=1;
end
end

% rescaling
K=exp(X(1,:)/100)*par.Ks0; % X is percent deviation from X0
C=exp(X(2,:)/100)*par.Cs0;
S=exp(X(3,:)/100)*par.S0;
M=exp(X(4:6,:)/100).*(par.M0*ones(1,length(time)));
T=X(7:8,:)/10+par.T0*ones(1,length(time)); % X is tenth of degrees absolute deviation from T0
PM=exp(X(9:11,:)/100).*(par.PMst*ones(1,length(time))); % X is percent deviation from proxy steady state
p=exp(X(15,:)/100)*par.pst;
v=X(14,:)*100;

alpha=par.alpha;beta=par.beta; theta=par.theta;
b=z(1); epsilon=par.epsilon;

Omega=ones(size(time))-(par.xi1.*T(1,:)+par.xi2.*T(1,:).^2);
D=C.^(-theta);
Utax=-tax.*PM(1,:);
excs=z(2).*S.^(-epsilon); % extraction cost in stationary money units
q=excs+p+Utax./D;

R=(beta.*Omega*b.*K.^alpha./q).^(1/(1-beta));

Y=Omega.*b.*K.^alpha.*R.^beta;
d=par.g-par.ist;
Tax=Utax./D.*exp((d+par.ist).*time); 
TaxpT=1000.*Tax;% per ton emission tax
Carbonprice=p+excs; % dollar per kg

AdValoremTax=Tax./(excs.*exp(-epsilon*d.*time)+p.*exp(par.ist.*time));
res.R=R;res.Y=Y;res.q=q;res.Omega=Omega;res.K=K;res.C=C;res.S=S;res.T=T;res.M=M;res.p=p;res.v=v;res.PK=D;res.Tax=Tax; res.Carbonprice=Carbonprice;
res.AdValoremTax=AdValoremTax; res.TaxpT=TaxpT;res.PM=PM;