function LHS=optbound4b2017a3(X0,Xt,par)
% If LHS = 0 boundary conditions of the
%    green paradox model hold
% This version also calibrates K0. TAKEN OUT AGAIN to MATCH backstop case.

% initial boundary for K and S, M and T
LHS1=X0([1,3:8]);


% terminal boundary else
X=Xt;

% rescaling
K=exp(X(1)/100)*par.Ks0; % X is percent deviation from X0
C=exp(X(2)/100)*par.Cs0;
S=exp(X(3)/100)*par.S0;
M=exp(X(4:6)/100).*par.M0;
T=X(7:8)/10+par.T0; % X is tenth of degrees absolute deviation from T0
PM=exp(X(9:11)/100).*par.PMst; % X is percent deviation from proxy steady state
PT=exp(X(12:13)/100).*par.PTst;
%p=exp(X(15)/100)*par.pst;
v=X(14)/100;

alpha=par.alpha;
beta=par.beta;

lambda=par.lambda;
theta=par.theta;
rho=par.rho;
delta=par.delta;
b=par.zz(1);

g=(lambda-beta*rho)/(1-alpha-beta+beta*theta); % rate of growth
rst=rho+theta*g; % interest rate
d=g-rst; % rate of resource growth (<0)

Omega=1-(par.xi1*T(1)+par.xi2*T(1)^2);
D=C^(-theta);
R=-d*S; 
%R=(beta*Omega*b*K^alpha/p)^(1/(1-beta));
Y=Omega*b*K^alpha*R^beta;
Chat=(alpha*Y/K-delta-rst)/theta;
%Shat=-R/S-d;

PiM1=par.eta1/M(1);
YT1=-Y/Omega*(par.xi1+2*par.xi2*T(1));
PMhat=-(par.Gamma'*PM+[PT(1)*PiM1 0 0]')./PM-d;
PThat=-(par.Lambda'*PT+[D*YT1 0]')./PT-d;
vdot=-C^(1-theta)/(1-theta)-((1-theta)*g-rho)*v;
 
%LHS2=X0(2);
LHS2=[Chat; PMhat; PThat; ; vdot];

%LHS2=[Chat; Shat; PMhat; PThat; vdot];

LHS=[LHS1; LHS2];



