function Xdot = optimum2017a(t,X,par)

tax=0;
if t>=par.taxtime
    tax=1;
end

% rescaling
K=exp(X(1)/100)*par.Ks0; % X is percent deviation from X0
%C=exp(X(2)/100)*par.Cs0;
S=exp(X(2)/100)*par.S0;
M=exp(X(3:5)/100).*par.M0;
T=X(6:7)/10+par.T0; % X is tenth of degrees absolute deviation from T0
%PM=exp(X(9:11)/100).*par.PMst; % X is percent deviation from proxy steady state
%PT=exp(X(12:13)/100).*par.PTst;
%p=exp(X(15)/100)*par.pst;
%v=X(14)/100;

alpha=par.alpha;
beta=par.beta;

lambda=par.lambda;
theta=par.theta;
rho=par.rho;
delta=par.delta;
b=par.zz(1);
epsilon=par.epsilon;

g=(lambda-beta*rho)/(1-alpha-beta+beta*theta); % rate of growth
rst=rho+theta*g; % interest rate
d=g-rst; % rate of resource growth (<0)
gp=-(epsilon*d+rst); % rate of growth of p (<0)

Omega=1-(par.xi1*T(1)+par.xi2*T(1)^2);
%excs=z(2)*S^(-epsilon)*exp(t*gp); % extraction cost in stationary money units
excs=par.zz(2)*S^(-epsilon)*exp(t*gp); % extraction cost in stationary money units
R=-d*S;   % (beta*Omega*b*K^alpha/(excs+p-tax*(PM(1)/D)*exp(d*t)))^(1/(1-beta));
Y=Omega*b*K^alpha*R^beta;
C=(1-par.s)*Y;  % consumption as fixed share output
D=C^(-theta); % same as PK
Khat=Y/K-C/K-(delta+g)-R*excs/K;
%Chat=(alpha*Y/K-delta-rst)/theta;
Shat=-R/S-d;

El=par.El0*exp(-par.eta3*t);
if t<90
    tf=t/90;
else
    tf=1;
end

Fex=par.Fex0+tf*(par.Fex100-par.Fex0);
Pi=par.eta1*log(M(1)/par.M1750)+par.eta2*Fex;
Mdot=par.Gamma*M+[El+R*exp(d*t) 0 0]';
Tdot=par.Lambda*T+[Pi 0]';

%PiM1=par.eta1/M(1);
   %%% YT1=Omega*Y*(par.xi1+2*par.xi2*T(1))/(beta-1);

%YT1=-Y/Omega*(par.xi1+2*par.xi2*T(1));
%PMhat=-(par.Gamma'*PM+[PT(1)*PiM1 0 0]')./PM-d;
%PThat=-(par.Lambda'*PT+[D*YT1 0]')./PT-d;
%%vdot=(d/(1-theta))*(exp((theta-1)*(v-X(2)/100))-1);
% vdot=-C^(1-theta)/(1-theta)-((1-theta)*g-rho)*v;
%i=alpha*Y/K-delta;
%sphat=R*z(2)*epsilon*S^(-epsilon-1)/p;
%phat=(i-rst)-sphat*exp(t*gp);

%Xdot=[100*[Khat; Chat; Shat; Mdot./M]; 10*Tdot; 100*[PMhat; PThat; vdot; phat]];
Xdot=[100*[Khat; Shat; Mdot./M]; 10*Tdot;];





